.bbva-faqs-wrapper {
    max-width: 56.25rem;
    margin: 0 auto;
    font-family: Arial, sans-serif;
    color: var(--bbva-primary-color-dark);
}

.bbva-faq-category-title {
    color: var(--bbva-primary-color-dark);
    font-family: var(--font-body-medium);
    font-size: var(--h4-size);
    font-weight: var(--h4-weight);
    line-height: var(--h4-line);
    margin: 0;
    padding: 0;
}

.bbva-faq-item {
    background-color: var(--bbva-container-background);
    border-radius: 1rem;
    margin-bottom: 1rem;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.02);
    overflow: hidden;
}

.bbva-faq-question-btn {
    width: 100%;
    text-align: left;
    background: none;
    border: none;
    padding: 24px 32px;
    font-size: 16px;
    color: var(--bbva-primary-color-dark);
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    transition: background-color 0.2s ease;
}

.bbva-faq-question-text {
    padding-right: 20px;
    color: var(--bbva-primary-color-dark);
    font-family: var(--font-body-medium);
    font-size: var(--h4-size);
    font-weight: var(--h4-weight);
    line-height: var(--h4-line);
    margin: 0;
    padding: 0;
}

.bbva-faq-icon {
    position: relative;
    width: 16px;
    height: 16px;
    flex-shrink: 0;
}

.bbva-faq-icon::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 0.125rem;
    background-color: var(--bbva-primary-color);
    transform: translateY(-50%);
}

p {
    color: var(--bbva-primary-color-dark);
    font-family: var(--font-body-book);
    font-size: var(--p-size);
    font-weight: var(--p-weight);
    line-height: var(--p-line);
    margin: 0;
    padding: 0;
}

.bbva-faq-icon::after {
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    width: 0.125rem;
    height: 100%;
    background-color: var(--bbva-primary-color);
    transform: translateX(-50%);
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.bbva-faq-question-btn.active .bbva-faq-icon::after {
    transform: translateX(-50%) rotate(90deg);
    opacity: 0;
}

.bbva-faq-answer-container {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-out;
}

.bbva-faq-answer-content {
    padding: 0 2rem 1.5rem 2rem;
    color: var(--bbva-primary-color-dark);
    font-family: var(--font-body-book);
    font-size: var(--p-size);
    font-weight: var(--p-weight);
    line-height: var(--p-line);
}

.bbva-faqs-main-title {
    text-align: center;
    margin-bottom: 2rem;
    font-size: 2.5rem;
    font-weight: 700;
}

@media (max-width: 1023.98px) {
    .bbva-faqs-main-title {
        text-align: center;
        margin-bottom: 2rem;
        font-size: 2rem;
        font-weight: 700;
    }

    .bbva-faq-question-text {
        font-size: var(--p-size);
        font-weight: var(--p-weight);
        line-height: var(--p-line);
    }

    .bbva-faqs-wrapper {
        padding: 0 1rem;
    }
}